#!/usr/bin/env node
import c from "yargs";
import { hideBin as m } from "yargs/helpers";
import { handler as a } from "./handler.mjs";
import t from "chalk";
import { projectNameForm as p, getTemplateChoices as l, getTemplateForm as g } from "./utils/question.mjs";
import s from "./injectInfo.json.mjs";
const d = async () => ({
  projectName: {
    type: "string",
    alias: "p",
    describe: p.message
  },
  template: {
    type: "string",
    alias: "t",
    choices: (await l()).map((e) => e.name),
    describe: (await g()).message
  }
}), n = s.cliConfig.moduleName, f = (e, o) => {
  console.log(e ? t.red(e) : t.red(o.message)), process.exit(1);
}, h = s.description, u = `Usage: $0 ${n} [options]`, v = "Usage: $0 [options]", i = async (e, o) => {
  const r = await d();
  return e.strict().usage(o).help("help").version(s.version).alias("v", "version").alias("h", "help").options(r).fail(f).argv;
}, y = (e) => i(e, u), $ = {
  command: n,
  describe: h,
  builder: y,
  handler: a
}, x = async () => {
  const e = c(m(process.argv)), o = await i(e, v);
  return a(o);
};
export {
  $ as command,
  x as createCli
};
