#!/usr/bin/env node
import o from "chalk";
import { execSync as f } from "node:child_process";
import s from "node:path";
import r from "node:fs";
import { READ_CONFIG_TEMPORARY_DIRECTORY as p, CONFIG_GIT_REPO as l } from "./const.mjs";
import a from "../injectInfo.json.mjs";
import { getRemoveDirForm as g } from "./question.mjs";
import u from "prompts";
const E = async () => {
  console.log(o.blue("拉取模板列表，请稍等..."));
  const e = s.resolve(
    process.cwd(),
    p
  );
  if (console.log(o.blue(`配置目录：${e}`)), r.existsSync(e)) {
    const i = `${e}目录已存在，是否删除？`, { isRemove: m } = await u(g(i));
    m ? r.rmSync(e, { recursive: !0, force: !0 }) : (console.log(o.red(`${e}已存在，请手动删除后再试！`)), process.exit(1));
  }
  f(`git clone ${l} ${e} --depth=1`);
  const n = a.name, c = s.resolve(e, `${n}.json`), t = JSON.parse(r.readFileSync(c, "utf-8"));
  if (!Array.isArray(t.templateList))
    throw new Error("远程配置文件出错，templateList 不是数组");
  return console.log(o.green("模板列表拉取成功！")), r.rmSync(e, { recursive: !0, force: !0 }), t;
};
export {
  E as readConfig
};
